Subject: RFC 4721 (MIP4 Chall./Resp.) -- minor errata

From: Alfred Hönes <[email-masked]>
Date: Wed, 14 Feb 2007 12:16:33 +0100 (MEZ)

Hello,
after studying the recently published RFC 4721 authored by you,
"Mobile IPv4 Challenge/Response Extensions (Revised)",
I would like to submit a few comments, drawing your attention
to some textual flaws left over in the text.
These might not be worth of an RFC Errata Note, but you should
at least make note thereof, for consideration in any future work
derived from this specification.

(1)  Ruler line misalignment

In Section 2, on page 4, the two ruler lines on top of Figure 1
are misaligned; they should be indented one more column.

The same issue holds for Figure 2 in Section 4, on page 11,
and for Figure 3 in Section 5, on page 12.

(2)  missing article

In the first paragraph of Section 3.1, on page 5,
    "... specified in Mobile IP specification ..."
should better say:
    "... specified in the Mobile IP specification ..." .
                     ^^^^^

(3)  Inconsistent/incomplete change of terminology

RFC 4721 has changed the terms used to specify various protocol
elements.  Yet these changes have not been performed consistently
throughout the memo.

I have observed the following places where updates have been omitted:

- Section 3.1, page 6, 4th paragraph:
   "(MN-AAA)"  should say:  "(Mobile-AAA)"

- Section 3.5, page 11, 3rd paragraph:
   "MN-AAA"  should say:  "Mobile-AAA"

- Section 11, last paragraph on page 16:
   "MN-AAA"  should say:  "Mobile-AAA"

- Section 11, first paragraph on page 17:
   "Mobile Node - Foreign Agent (MN-FA)"  should say:  "Mobile-Foreign"

- Appendix B, first line on page 22:

     BAD_AUTHENTICATION
  should say:
     'mobile node failed authentication'

- Appendix E, on page 24:

     send_error(STALE_CHALLENGE)
  should say:
     send_error(stale_challenge)

  and

     send_error(UNKNOWN_CHALLENGE);
  should say:
     send_error(unknown_challenge);

Also, Appendix D makes repeated use of "MN-FA Authentication",
but that is not so closely related to the extension now named
differently, and thus can perhaps be left unchanged.

(4)  Section 11 -- logical grouping

In Section 11, the (new) final paragraph is an adjunct to the fourth
indented paragraph (second paragraph on page 17) and should better
have been unified with that one; the new codes are already covered
by the wording there!

(5)  Appendix A -- typo

In the 7th bullet (onpage 20), "compare to" should say: "compared to" .

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+